#include <iostream>
using namespace std;

int main()
{
	ios_base::sync_with_stdio(false);

	int n, k, x;
	scanf("%d %d %d", &n, &k, &x);

	cout << x + 1<< " ";
	for(int i = 0; i < k; i++)
	{
		cout << "1 ";
	}
	for (int i = k; i < n - 1; i++)
	{
		cout << "2 ";
	}
	return 0;
}